diff --git a/runtests.sh b/runtests.sh
index addf7d4..2285197 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -20,7 +20,7 @@ set -u
 
 # process our test scripts
 if [ $1 ]; then
-  t_Process tests/$1
+  t_Process <(/usr/bin/find ./tests/$1/ -type f|sort -t'/' )
 else
   t_Process <(/usr/bin/find ./tests/0_*/ -type f|sort -t'/' )
   t_Process <(/usr/bin/find ./tests/p_*/ -type f|sort -t'/' )
diff --git a/tests/p_0lzo/0-install_lzo.sh b/tests/p_0lzo/0-install_lzo.sh
new file mode 100755
index 0000000..d91ca7b
--- /dev/null
+++ b/tests/p_0lzo/0-install_lzo.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+# Author: Vivek Dubey <dvivek@thoughtworks.com>
+# Akshay Karle <akshayka@thoughtworks.com> 
+
+t_InstallPackage lzop
diff --git a/tests/p_0lzo/abc b/tests/p_0lzo/abc
new file mode 100644
index 0000000..1aad27d
--- /dev/null
+++ b/tests/p_0lzo/abc
@@ -0,0 +1 @@
+blahblahblah
diff --git a/tests/p_0lzo/foo b/tests/p_0lzo/foo
new file mode 100644
index 0000000..1aad27d
--- /dev/null
+++ b/tests/p_0lzo/foo
@@ -0,0 +1 @@
+blahblahblah
diff --git a/tests/p_0lzo/foo.lzo b/tests/p_0lzo/foo.lzo
new file mode 100644
index 0000000..0cf13d8
Binary files /dev/null and b/tests/p_0lzo/foo.lzo differ
diff --git a/tests/p_0lzo/test_lzo.sh b/tests/p_0lzo/test_lzo.sh
new file mode 100644
index 0000000..e9614a8
--- /dev/null
+++ b/tests/p_0lzo/test_lzo.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Author: Vivek Dubey <dvivek@thoughtworks.com>
+# Akshay Karle <akshayka@thoughtworks.com>
+
+echo 'blahblahblah' > /tmp/foo
+
+lzop -9v /tmp/foo -o /tmp/foo.lzo
+
+lzop -d /tmp/foo.lzo -o /tmp/abc
+
+rm -f /tmp/foo
+rm -f /tmp/foo.lzo
+rm -f /tmp/abc
+t_CheckExitStatus $?